RTEMS: bsps/i386/pc386/include/bsp/rtd316.h File Reference

| RTEMS 5.4-rc2

Loading...
Searching...
No Matches
Macros | Functions
rtd316.h File Reference
Board Support Packages » i386

RTD316 driver interface defintions. More...

Go to the source code of this file.

## Macros
#define | RTD316_DRIVER_TABLE_ENTRY { rtd316_initialize, NULL, NULL, NULL, NULL, NULL }

## Functions
rtems_device_driver | rtd316_initialize (rtems_device_major_number major, rtems_device_minor_number minor, void *arg)
| RTD316 Initialization Entry Point.
uint8_t | rtd316_com_get_register (uint32_t addr, uint8_t reg)
| RTD316 Obtain Register Helper.
void | rtd316_com_set_register (uint32_t addr, uint8_t reg, uint8_t val)
| RTD316 Set Register Helper.

## Detailed Description

RTD316 driver interface defintions.

## Macro Definition Documentation

## ◆ RTD316_DRIVER_TABLE_ENTRY

#define RTD316_DRIVER_TABLE_ENTRY { rtd316_initialize, NULL, NULL, NULL, NULL, NULL }

This macro defines the standard device driver table entry for a console device driver.

## Function Documentation

## ◆ rtd316_com_get_register()

uint8_t rtd316_com_get_register | ( | uint32_t | addr,
|  | uint8_t | reg
| ) |  |

RTD316 Obtain Register Helper.

This method is used to read registers on the RTD316.

Parameters

  [in] | addr | is the base address
  [in] | reg | is the register number

Returns
  This method returns the value of the register.

## ◆ rtd316_com_set_register()

void rtd316_com_set_register | ( | uint32_t | addr,
|  | uint8_t | reg,
|  | uint8_t | val
| ) |  |

RTD316 Set Register Helper.

This method is used to set registers on the RTD316.

Parameters

  [in] | addr | is the base address
  [in] | reg | is the register number

## ◆ rtd316_initialize()

rtems_device_driver rtd316_initialize | ( | rtems_device_major_number | major,
|  | rtems_device_minor_number | minor,
|  | void * | arg
| ) |  |

RTD316 Initialization Entry Point.

This method initializes the RTD316 device driver.

Parameters

  [in] | major | is the device driver major number
  [in] | minor | is the device driver minor number
  [in] | arg | is the parameters to this call

Returns
  This method returns RTEMS_SUCCESSFUL when the device driver is successfully initialized.